wxWidgets: /home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.i686/src/wxWidgets-3.0.5.1/interface/wx/aboutdlg.h File Reference

| Version: 3.0.5

Classes | Functions
aboutdlg.h File Reference

## Classes
class | wxAboutDialogInfo
| wxAboutDialogInfo contains information shown in the standard About dialog displayed by the wxAboutBox() function. More...

## Functions
void | wxAboutBox (const wxAboutDialogInfo &info, wxWindow *parent=NULL)
| This function shows the standard about dialog containing the information specified in info. More...
void | wxGenericAboutBox (const wxAboutDialogInfo &info, wxWindow *parent=NULL)
| This function does the same thing as wxAboutBox() except that it always uses the generic wxWidgets version of the dialog instead of the native one. More...

## Function Documentation

## ◆ wxAboutBox()

void wxAboutBox | ( | const wxAboutDialogInfo & | info,
|  | wxWindow * | parent = `NULL`
| ) |  |

This function shows the standard about dialog containing the information specified in info.

If the current platform has a native about dialog which is capable of showing all the fields in info, the native dialog is used, otherwise the function falls back to the generic wxWidgets version of the dialog, i.e. does the same thing as wxGenericAboutBox.

Here is an example of how this function may be used:

void MyFrame::ShowSimpleAboutDialog(wxCommandEvent& WXUNUSED(event))
{
wxAboutDialogInfo info;
info.SetName(_("My Program"));
info.SetVersion(_("1.2.3 Beta"));
info.SetDescription(_("This program does something great."));
info.SetCopyright(wxT("(C) 2007 Me <my@email.addre.ss>"));
wxAboutBox(info);
}
wxAboutBox
void wxAboutBox(const wxAboutDialogInfo &info, wxWindow *parent=NULL)
This function shows the standard about dialog containing the information specified in info.
wxT
#define wxT(string)
This macro can be used with character and string literals (in other words, 'x' or "foo") to automatic...
Definition: chartype.h:32
wxAboutDialogInfo
wxAboutDialogInfo contains information shown in the standard About dialog displayed by the wxAboutBox...
Definition: aboutdlg.h:54
wxAboutDialogInfo::SetCopyright
void SetCopyright(const wxString &copyright)
Set the short string containing the program copyright information.
wxAboutDialogInfo::SetDescription
void SetDescription(const wxString &desc)
Set brief, but possibly multiline, description of the program.
wxAboutDialogInfo::SetName
void SetName(const wxString &name)
Set the name of the program.
wxAboutDialogInfo::SetVersion
void SetVersion(const wxString &version, const wxString &longVersion=wxString())
Set the version of the program.
wxCommandEvent
This event class contains information about command events, which originate from a variety of simple ...
Definition: event.h:2013
_
const wxString & _(const wxString &string)
Macro to be used around all literal strings that should be translated.

Please see the Dialogs Sample for more examples of using this function and wxAboutDialogInfo for the description of the information which can be shown in the about dialog.

Include file:

    #include <wx/aboutdlg.h>

## ◆ wxGenericAboutBox()

void wxGenericAboutBox | ( | const wxAboutDialogInfo & | info,
|  | wxWindow * | parent = `NULL`
| ) |  |

This function does the same thing as wxAboutBox() except that it always uses the generic wxWidgets version of the dialog instead of the native one.

This is mainly useful if you need to customize the dialog by e.g. adding custom controls to it (customizing the native dialog is not currently supported).

See the Dialogs Sample for an example of about dialog customization.

See also
  wxAboutDialogInfo

Include file:

    #include <wx/aboutdlg.h>